Novell Home

CVE-2012-3461

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2012-3461 at MITRE

Description

The (1) otrl_base64_otr_decode function in src/b64.c; (2) otrl_proto_data_read_flags and (3) otrl_proto_accept_data functions in src/proto.c; and (4) decode function in toolkit/parse.c in libotr before 3.2.1 allocates a zero-length buffer when decoding a base64 string, which allows remote attackers to cause a denial of service (application crash) via a message with the value "?OTR:===.", which triggers a heap-based buffer overflow.

NVD CVSS v2 Base Score: 4.3 (AV:N/AC:M/Au:N/C:N/I:N/A:P)

Novell/SUSE information

Novell Bugzilla entries: 777468, 789190

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libotr-devel >= 3.2.0-10.3.1
sled11-sp2.x86
sles11-sp2-vmware.x86
sle11-sp2-sdk.x86-64
sles11-sp2.x86-64
sles11-sp2-vmware.x86-64
sles11-sp2.ia64
sle11-sp2-sdk.x86
sle11-sp2-sdk.ppc
sles11-sp2.s390x
sle11-sp2-sdk.s390x
sle11-sp2-sdk.ia64
sled11-sp2.x86-64
sles11-sp2.ppc
sles11-sp2.x86
SAT Patch Nr: 7076
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • libotr2 >= 3.2.0-10.3.1
sled11-sp2.x86
sles11-sp2-vmware.x86
sle11-sp2-sdk.x86-64
sles11-sp2.x86-64
sles11-sp2-vmware.x86-64
sles11-sp2.ia64
sle11-sp2-sdk.x86
sle11-sp2-sdk.ppc
sles11-sp2.s390x
sle11-sp2-sdk.s390x
sle11-sp2-sdk.ia64
sled11-sp2.x86-64
sles11-sp2.ppc
sles11-sp2.x86
SAT Patch Nr: 7076
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • libotr >= 3.0.0-16.9.1
sle10-sp4-sdk.ia64
sle10-sp4-sdk.s390x
sled10-sp4.x86
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.x86
sled10-sp4.x86-64
sle10-sp4-sdk.ppc
ZYPP Patch Nr: 8377
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
  • libotr >= 3.0.0-16.9.1
  • libotr-devel >= 3.0.0-16.9.1
sle10-sp4-sdk.ia64
sle10-sp4-sdk.s390x
sled10-sp4.x86
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.x86
sled10-sp4.x86-64
sle10-sp4-sdk.ppc
ZYPP Patch Nr: 8377

© 2014 Novell